package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.AtlasRelationship;
import com.lightinit.hsdataportal.entity.AtlasRelationshipExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtlasRelationshipMapper {
    long countByExample(AtlasRelationshipExample example);

    int deleteByExample(AtlasRelationshipExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtlasRelationship record);

    int insertSelective(AtlasRelationship record);

    List<AtlasRelationship> selectByExample(AtlasRelationshipExample example);

    AtlasRelationship selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtlasRelationship record, @Param("example") AtlasRelationshipExample example);

    int updateByExample(@Param("record") AtlasRelationship record, @Param("example") AtlasRelationshipExample example);

    int updateByPrimaryKeySelective(AtlasRelationship record);

    int updateByPrimaryKey(AtlasRelationship record);
}